From 32baaf7d96444de9d3d9918faddfcb90cff4095a Mon Sep 17 00:00:00 2001
From: "Gao,Yan" <ygao@suse.com>
Date: Tue, 30 Apr 2019 03:47:07 +0200
Subject: [PATCH 2/2] Test: scheduler: wait for probe actions to complete to
 prevent unnecessary restart/re-promote of dependent resources (update tests)

---
 .../11-a-then-bm-b-move-a-clone-starting.dot        |  1 +
 .../11-a-then-bm-b-move-a-clone-starting.exp        |  6 +++++-
 cts/scheduler/bug-n-387749.dot                      |  7 +++++++
 cts/scheduler/bug-n-387749.exp                      | 21 +++++++++++++++++++++
 cts/scheduler/group5.dot                            |  3 +++
 cts/scheduler/group5.exp                            |  9 +++++++++
 cts/scheduler/group6.dot                            |  6 ++++++
 cts/scheduler/group6.exp                            | 18 ++++++++++++++++++
 cts/scheduler/group9.dot                            |  6 ++++++
 cts/scheduler/group9.exp                            | 18 ++++++++++++++++++
 cts/scheduler/order6.dot                            |  2 ++
 cts/scheduler/order6.exp                            | 12 ++++++++++--
 cts/scheduler/reload-becomes-restart.dot            |  1 +
 cts/scheduler/reload-becomes-restart.exp            |  3 +++
 14 files changed, 110 insertions(+), 3 deletions(-)

diff --git a/cts/scheduler/11-a-then-bm-b-move-a-clone-starting.dot b/cts/scheduler/11-a-then-bm-b-move-a-clone-starting.dot
index 4a89db675..4fd6a7db8 100644
--- a/cts/scheduler/11-a-then-bm-b-move-a-clone-starting.dot
+++ b/cts/scheduler/11-a-then-bm-b-move-a-clone-starting.dot
@@ -12,6 +12,7 @@
 "myclone-clone_stopped_0" [ style=bold color="green" fontcolor="orange"]
 "myclone_monitor_0 f20node2" -> "myclone-clone_start_0" [ style = bold]
 "myclone_monitor_0 f20node2" -> "myclone-clone_stopped_0" [ style = bold]
+"myclone_monitor_0 f20node2" -> "vm_stop_0 f20node1" [ style = bold]
 "myclone_monitor_0 f20node2" [ style=bold color="green" fontcolor="black"]
 "myclone_start_0 f20node2" -> "myclone-clone_running_0" [ style = bold]
 "myclone_start_0 f20node2" [ style=bold color="green" fontcolor="black"]
diff --git a/cts/scheduler/11-a-then-bm-b-move-a-clone-starting.exp b/cts/scheduler/11-a-then-bm-b-move-a-clone-starting.exp
index 4eeb08613..d3ce8b7ab 100644
--- a/cts/scheduler/11-a-then-bm-b-move-a-clone-starting.exp
+++ b/cts/scheduler/11-a-then-bm-b-move-a-clone-starting.exp
@@ -120,6 +120,10 @@
         <attributes CRM_meta_on_node="f20node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
-    <inputs/>
+    <inputs>
+      <trigger>
+        <rsc_op id="1" operation="monitor" operation_key="myclone_monitor_0" internal_operation_key="myclone:0_monitor_0" on_node="f20node2" on_node_uuid="2"/>
+      </trigger>
+    </inputs>
   </synapse>
 </transition_graph>
diff --git a/cts/scheduler/bug-n-387749.dot b/cts/scheduler/bug-n-387749.dot
index 509535165..a82010872 100644
--- a/cts/scheduler/bug-n-387749.dot
+++ b/cts/scheduler/bug-n-387749.dot
@@ -1,17 +1,23 @@
 digraph "g" {
 "export_home_ocfs2:0_monitor_0 power720-1" -> "export_home_ocfs2_clone_set_start_0" [ style = bold]
+"export_home_ocfs2:0_monitor_0 power720-1" -> "resource_ipaddr1_single_stop_0 power720-2" [ style = bold]
+"export_home_ocfs2:0_monitor_0 power720-1" -> "resource_nfsserver_single_stop_0 power720-2" [ style = bold]
 "export_home_ocfs2:0_monitor_0 power720-1" [ style=bold color="green" fontcolor="black" ]
 "export_home_ocfs2:0_post_notify_start_0 power720-1" -> "export_home_ocfs2_clone_set_confirmed-post_notify_running_0" [ style = bold]
 "export_home_ocfs2:0_post_notify_start_0 power720-1" [ style=bold color="green" fontcolor="black" ]
 "export_home_ocfs2:0_start_0 power720-1" -> "export_home_ocfs2_clone_set_running_0" [ style = bold]
 "export_home_ocfs2:0_start_0 power720-1" [ style=bold color="green" fontcolor="black" ]
 "export_home_ocfs2:1_monitor_0 power720-1" -> "export_home_ocfs2_clone_set_start_0" [ style = bold]
+"export_home_ocfs2:1_monitor_0 power720-1" -> "resource_ipaddr1_single_stop_0 power720-2" [ style = bold]
+"export_home_ocfs2:1_monitor_0 power720-1" -> "resource_nfsserver_single_stop_0 power720-2" [ style = bold]
 "export_home_ocfs2:1_monitor_0 power720-1" [ style=bold color="green" fontcolor="black" ]
 "export_home_ocfs2:1_post_notify_start_0 power720-2" -> "export_home_ocfs2_clone_set_confirmed-post_notify_running_0" [ style = bold]
 "export_home_ocfs2:1_post_notify_start_0 power720-2" [ style=bold color="green" fontcolor="black" ]
 "export_home_ocfs2:1_pre_notify_start_0 power720-2" -> "export_home_ocfs2_clone_set_confirmed-pre_notify_start_0" [ style = bold]
 "export_home_ocfs2:1_pre_notify_start_0 power720-2" [ style=bold color="green" fontcolor="black" ]
 "export_home_ocfs2:2_monitor_0 power720-1" -> "export_home_ocfs2_clone_set_start_0" [ style = bold]
+"export_home_ocfs2:2_monitor_0 power720-1" -> "resource_ipaddr1_single_stop_0 power720-2" [ style = bold]
+"export_home_ocfs2:2_monitor_0 power720-1" -> "resource_nfsserver_single_stop_0 power720-2" [ style = bold]
 "export_home_ocfs2:2_monitor_0 power720-1" [ style=bold color="green" fontcolor="black" ]
 "export_home_ocfs2_clone_set_confirmed-post_notify_running_0" -> "group_nfs_start_0" [ style = bold]
 "export_home_ocfs2_clone_set_confirmed-post_notify_running_0" [ style=bold color="green" fontcolor="orange" ]
@@ -43,6 +49,7 @@ digraph "g" {
 "group_nfs_stopped_0" [ style=bold color="green" fontcolor="orange" ]
 "resource_ipaddr1_single_monitor_0 power720-1" -> "group_nfs_stopped_0" [ style = bold]
 "resource_ipaddr1_single_monitor_0 power720-1" -> "resource_ipaddr1_single_start_0 power720-1" [ style = bold]
+"resource_ipaddr1_single_monitor_0 power720-1" -> "resource_nfsserver_single_stop_0 power720-2" [ style = bold]
 "resource_ipaddr1_single_monitor_0 power720-1" [ style=bold color="green" fontcolor="black" ]
 "resource_ipaddr1_single_monitor_5000 power720-1" [ style=bold color="green" fontcolor="black" ]
 "resource_ipaddr1_single_start_0 power720-1" -> "group_nfs_running_0" [ style = bold]
diff --git a/cts/scheduler/bug-n-387749.exp b/cts/scheduler/bug-n-387749.exp
index d6fe8e441..5b646bc52 100644
--- a/cts/scheduler/bug-n-387749.exp
+++ b/cts/scheduler/bug-n-387749.exp
@@ -276,6 +276,15 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="export_home_ocfs2:0_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="export_home_ocfs2:1_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="export_home_ocfs2:2_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="7" operation="monitor" operation_key="resource_nfsserver_single_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
       </trigger>
       <trigger>
@@ -339,6 +348,18 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="export_home_ocfs2:0_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="export_home_ocfs2:1_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="export_home_ocfs2:2_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="resource_ipaddr1_single_monitor_0" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="31" operation="stop" operation_key="group_nfs_stop_0"/>
        </trigger>
      </inputs>
diff --git a/cts/scheduler/group5.dot b/cts/scheduler/group5.dot
index 3fe019378..4776b1e45 100644
--- a/cts/scheduler/group5.dot
+++ b/cts/scheduler/group5.dot
@@ -1,5 +1,7 @@
  digraph "g" {
 "child_rsc1_monitor_0 node2" -> "child_rsc1_start_0 node2" [ style = bold]
+"child_rsc1_monitor_0 node2" -> "child_rsc2_stop_0 node1" [ style = bold]
+"child_rsc1_monitor_0 node2" -> "child_rsc3_stop_0 node1" [ style = bold]
 "child_rsc1_monitor_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1_start_0 node2" -> "child_rsc2_start_0 node2" [ style = bold]
@@ -10,6 +12,7 @@
 "child_rsc1_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2_monitor_0 node2" -> "child_rsc1_stop_0 node1" [ style = bold]
 "child_rsc2_monitor_0 node2" -> "child_rsc2_start_0 node2" [ style = bold]
+"child_rsc2_monitor_0 node2" -> "child_rsc3_stop_0 node1" [ style = bold]
 "child_rsc2_monitor_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2_start_0 node2" -> "child_rsc3_start_0 node2" [ style = bold]
diff --git a/cts/scheduler/group5.exp b/cts/scheduler/group5.exp
index d1ec4329e..741088867 100644
--- a/cts/scheduler/group5.exp
+++ b/cts/scheduler/group5.exp
@@ -196,6 +196,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="child_rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="4" operation="monitor" operation_key="child_rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
@@ -246,6 +249,12 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="child_rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="child_rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="16" operation="stop" operation_key="rsc2_stop_0"/>
        </trigger>
      </inputs>
diff --git a/cts/scheduler/group6.dot b/cts/scheduler/group6.dot
index a563e059a..536f56b8a 100644
--- a/cts/scheduler/group6.dot
+++ b/cts/scheduler/group6.dot
@@ -1,5 +1,7 @@
  digraph "g" {
 "child_rsc1_monitor_0 node2" -> "child_rsc1_start_0 node2" [ style = bold]
+"child_rsc1_monitor_0 node2" -> "child_rsc2_stop_0 node1" [ style = bold]
+"child_rsc1_monitor_0 node2" -> "child_rsc3_stop_0 node1" [ style = bold]
 "child_rsc1_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1_start_0 node2" -> "child_rsc2_start_0 node2" [ style = bold]
@@ -10,6 +12,7 @@
 "child_rsc1_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2_monitor_0 node2" -> "child_rsc1_stop_0 node1" [ style = bold]
 "child_rsc2_monitor_0 node2" -> "child_rsc2_start_0 node2" [ style = bold]
+"child_rsc2_monitor_0 node2" -> "child_rsc3_stop_0 node1" [ style = bold]
 "child_rsc2_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2_start_0 node2" -> "child_rsc3_start_0 node2" [ style = bold]
@@ -30,6 +33,8 @@
 "child_rsc3_stop_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc3_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc4_monitor_0 node2" -> "child_rsc4_start_0 node2" [ style = bold]
+"child_rsc4_monitor_0 node2" -> "child_rsc5_stop_0 node1" [ style = bold]
+"child_rsc4_monitor_0 node2" -> "child_rsc6_stop_0 node1" [ style = bold]
 "child_rsc4_monitor_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc4_start_0 node2" -> "child_rsc5_start_0 node2" [ style = bold]
@@ -40,6 +45,7 @@
 "child_rsc4_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc5_monitor_0 node2" -> "child_rsc4_stop_0 node1" [ style = bold]
 "child_rsc5_monitor_0 node2" -> "child_rsc5_start_0 node2" [ style = bold]
+"child_rsc5_monitor_0 node2" -> "child_rsc6_stop_0 node1" [ style = bold]
 "child_rsc5_monitor_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc5_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc5_start_0 node2" -> "child_rsc6_start_0 node2" [ style = bold]
diff --git a/cts/scheduler/group6.exp b/cts/scheduler/group6.exp
index 08612626e..58e950b71 100644
--- a/cts/scheduler/group6.exp
+++ b/cts/scheduler/group6.exp
@@ -152,6 +152,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="1" operation="monitor" operation_key="child_rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="3" operation="monitor" operation_key="child_rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
@@ -202,6 +205,12 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="1" operation="monitor" operation_key="child_rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="child_rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="15" operation="stop" operation_key="rsc1_stop_0"/>
        </trigger>
      </inputs>
@@ -367,6 +376,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="child_rsc4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="6" operation="monitor" operation_key="child_rsc6_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
       </trigger>
       <trigger>
@@ -417,6 +429,12 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="child_rsc4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="child_rsc5_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="25" operation="stop" operation_key="rsc2_stop_0"/>
        </trigger>
      </inputs>
diff --git a/cts/scheduler/group9.dot b/cts/scheduler/group9.dot
index 610fe9351..5a93a3183 100644
--- a/cts/scheduler/group9.dot
+++ b/cts/scheduler/group9.dot
@@ -26,9 +26,12 @@
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc3_monitor_0 node2" -> "foo_stopped_0" [ style = bold]
+"rsc3_monitor_0 node2" -> "rsc4_stop_0 node1" [ style = bold]
+"rsc3_monitor_0 node2" -> "rsc5_stop_0 node1" [ style = bold]
 "rsc3_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_monitor_0 node2" -> "foo_stopped_0" [ style = bold]
 "rsc4_monitor_0 node2" -> "rsc4_start_0 node1" [ style = bold]
+"rsc4_monitor_0 node2" -> "rsc5_stop_0 node1" [ style = bold]
 "rsc4_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_start_0 node1" -> "foo_running_0" [ style = bold]
 "rsc4_start_0 node1" -> "rsc5_start_0 node1" [ style = bold]
@@ -48,6 +51,8 @@
 "rsc5_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc6_monitor_0 node2" -> "bar_stopped_0" [ style = bold]
 "rsc6_monitor_0 node2" -> "rsc6_start_0 node2" [ style = bold]
+"rsc6_monitor_0 node2" -> "rsc7_stop_0 node1" [ style = bold]
+"rsc6_monitor_0 node2" -> "rsc8_stop_0 node1" [ style = bold]
 "rsc6_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc6_start_0 node2" -> "bar_running_0" [ style = bold]
 "rsc6_start_0 node2" -> "rsc7_start_0 node2" [ style = bold]
@@ -58,6 +63,7 @@
 "rsc7_monitor_0 node2" -> "bar_stopped_0" [ style = bold]
 "rsc7_monitor_0 node2" -> "rsc6_stop_0 node1" [ style = bold]
 "rsc7_monitor_0 node2" -> "rsc7_start_0 node2" [ style = bold]
+"rsc7_monitor_0 node2" -> "rsc8_stop_0 node1" [ style = bold]
 "rsc7_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc7_start_0 node2" -> "bar_running_0" [ style = bold]
 "rsc7_start_0 node2" -> "rsc8_start_0 node2" [ style = bold]
diff --git a/cts/scheduler/group9.exp b/cts/scheduler/group9.exp
index 04bb5dc7b..a38cad76a 100644
--- a/cts/scheduler/group9.exp
+++ b/cts/scheduler/group9.exp
@@ -128,6 +128,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="7" operation="monitor" operation_key="rsc5_monitor_0" on_node="node2" on_node_uuid="node2"/>
       </trigger>
       <trigger>
@@ -169,6 +172,12 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="rsc4_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="22" operation="stop" operation_key="foo_stop_0"/>
        </trigger>
      </inputs>
@@ -340,6 +349,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="rsc6_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="10" operation="monitor" operation_key="rsc8_monitor_0" on_node="node2" on_node_uuid="node2"/>
       </trigger>
       <trigger>
@@ -381,6 +393,12 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="rsc6_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="rsc7_monitor_0" on_node="node2" on_node_uuid="node2"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="31" operation="stop" operation_key="bar_stop_0"/>
        </trigger>
      </inputs>
diff --git a/cts/scheduler/order6.dot b/cts/scheduler/order6.dot
index 74f1c5bf3..0dfd73f39 100644
--- a/cts/scheduler/order6.dot
+++ b/cts/scheduler/order6.dot
@@ -1,4 +1,5 @@
  digraph "g" {
+"rsc1_monitor_0 node2" -> "rsc2_stop_0 node1" [ style = bold]
 "rsc1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc2_monitor_0 node2" -> "rsc2_start_0 node2" [ style = bold]
 "rsc2_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
@@ -11,6 +12,7 @@
 "rsc4_start_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc4_stop_0 node1" -> "rsc4_start_0 node2" [ style = bold]
 "rsc4_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"rsc5_monitor_0 node1" -> "rsc6_stop_0 node2" [ style = bold]
 "rsc5_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc6_monitor_0 node1" -> "rsc6_start_0 node1" [ style = bold]
 "rsc6_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
diff --git a/cts/scheduler/order6.exp b/cts/scheduler/order6.exp
index a1e866b9f..844558457 100644
--- a/cts/scheduler/order6.exp
+++ b/cts/scheduler/order6.exp
@@ -31,7 +31,11 @@
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-    <inputs/>
+    <inputs>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+    </inputs>
    </synapse>
    <synapse id="3">
      <action_set>
@@ -117,7 +121,11 @@
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
-    <inputs/>
+    <inputs>
+      <trigger>
+        <rsc_op id="1" operation="monitor" operation_key="rsc5_monitor_0" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+    </inputs>
    </synapse>
   <synapse id="11">
      <action_set>
diff --git a/cts/scheduler/reload-becomes-restart.dot b/cts/scheduler/reload-becomes-restart.dot
index a6616f9fc..36f8372b0 100644
--- a/cts/scheduler/reload-becomes-restart.dot
+++ b/cts/scheduler/reload-becomes-restart.dot
@@ -30,6 +30,7 @@ digraph "g" {
 "rsc1:0_start_0 node2" -> "rsc2:1_start_0 node2" [ style = bold]
 "rsc1:0_start_0 node2" [ style=bold color="green" fontcolor="black"]
 "rsc1:1_monitor_0 node1" -> "cl-rsc1_start_0" [ style = bold]
+"rsc1:1_monitor_0 node1" -> "rsc2_stop_0 node1" [ style = bold]
 "rsc1:1_monitor_0 node1" [ style=bold color="green" fontcolor="black"]
 "rsc1:1_monitor_120000 node1" [ style=bold color="green" fontcolor="black"]
 "rsc1:1_start_0 node1" -> "cl-rsc1_running_0" [ style = bold]
diff --git a/cts/scheduler/reload-becomes-restart.exp b/cts/scheduler/reload-becomes-restart.exp
index c3e372155..224b8d2bc 100644
--- a/cts/scheduler/reload-becomes-restart.exp
+++ b/cts/scheduler/reload-becomes-restart.exp
@@ -176,6 +176,9 @@
       </rsc_op>
     </action_set>
     <inputs>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="rsc1:1_monitor_0" on_node="node1" on_node_uuid="1"/>
+      </trigger>
       <trigger>
         <pseudo_event id="24" operation="stop" operation_key="cl-rsc2_stop_0"/>
       </trigger>
-- 
2.16.4