From beb3aa64ebed4b060fa122935cdf7fd26e9f9a01 Mon Sep 17 00:00:00 2001
From: Ken Gaillot <kgaillot@redhat.com>
Date: Tue, 16 Jul 2019 16:51:04 -0500
Subject: [PATCH 1/6] Doc: extra: update agent boilerplate (copyright/license
 notices)

... to current style standards, for consistency
---
 extra/resources/ClusterMon.in  | 31 +++++++++----------------------
 extra/resources/Dummy          | 12 ++++++++----
 extra/resources/HealthCPU      |  7 +++++--
 extra/resources/HealthIOWait   |  7 +++++--
 extra/resources/HealthSMART.in | 25 ++++++-------------------
 extra/resources/Stateful       |  7 ++++++-
 extra/resources/SysInfo.in     | 28 ++++++++--------------------
 extra/resources/SystemHealth   | 22 +++-------------------
 extra/resources/attribute      |  4 ++--
 extra/resources/controld       | 24 +++++-------------------
 extra/resources/ifspeed.in     | 14 +++++++++++---
 extra/resources/o2cb.in        | 19 +++++--------------
 extra/resources/ping           |  3 ++-
 extra/resources/pingd          | 27 ++++++---------------------
 extra/resources/remote         | 14 +++++++-------
 15 files changed, 88 insertions(+), 156 deletions(-)

diff --git a/extra/resources/ClusterMon.in b/extra/resources/ClusterMon.in
index f33cfd4ce..db397c2a4 100755
--- a/extra/resources/ClusterMon.in
+++ b/extra/resources/ClusterMon.in
@@ -1,31 +1,18 @@
 #!@BASH_PATH@
 #
+# ocf:pacemaker:ClusterMon resource agent
 #
-#	ClusterMon OCF RA.
-#	Starts crm_mon in background which logs cluster status as
-#	html to the specified file.
-#
-# Copyright 2004-2018 SUSE LINUX AG, Lars Marowsky-Brée
-#                    All Rights Reserved.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of version 2 of the GNU General Public License as
-# published by the Free Software Foundation.
+# Original copyright 2004 SUSE LINUX AG, Lars Marowsky-Br<E9>e
+# Later changes copyright 2008-2018 the Pacemaker project contributors
 #
-# This program is distributed in the hope that it would be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+# The version control history for this file may have further details.
 #
-# Further, this software is distributed without any warranty that it is
-# free of the rightful claim of any third person regarding infringement
-# or the like.  Any license provided herein, whether implied or
-# otherwise, applies only to this software file.  Patent licenses, if
-# any, provided herein do not apply to combinations of this program with
-# other software, or any other product whatsoever.
+# This source code is licensed under the GNU General Public License version 2
+# (GPLv2) WITHOUT ANY WARRANTY.
 #
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write the Free Software Foundation,
-# Inc., 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
+
+#	Starts crm_mon in background which logs cluster status as
+#	html to the specified file.
 #
 # OCF instance parameters:
 #	OCF_RESKEY_user
diff --git a/extra/resources/Dummy b/extra/resources/Dummy
index 75e4cf5b2..950b631e0 100755
--- a/extra/resources/Dummy
+++ b/extra/resources/Dummy
@@ -1,13 +1,17 @@
 #!/bin/sh
 #
-# Dummy OCF RA. Does nothing but wait a few seconds, can be
-# configured to fail occassionally.
+# ocf:pacemaker:Dummy resource agent
 #
-# Copyright 2004-2018 SUSE LINUX AG, Lars Marowsky-Brée
-# All Rights Reserved.
+# Original copyright 2004 SUSE LINUX AG, Lars Marowsky-Br<E9>e
+# Later changes copyright 2008-2018 the Pacemaker project contributors
+#
+# The version control history for this file may have further details.
 #
 # This source code is licensed under the GNU General Public License version 2
 # (GPLv2) WITHOUT ANY WARRANTY.
+
+#
+# Does nothing but wait a few seconds, can be configured to fail occassionally
 #
 
 #######################################################################
diff --git a/extra/resources/HealthCPU b/extra/resources/HealthCPU
index d860a718b..82ba597e4 100755
--- a/extra/resources/HealthCPU
+++ b/extra/resources/HealthCPU
@@ -1,7 +1,6 @@
 #!/bin/sh
 #
-# HealthCPU OCF RA
-# Measures CPUs idling and writes #health-cpu status into the CIB
+# ocf:pacemaker:HealthCPU resource agent
 #
 # Copyright 2004-2018 the Pacemaker project contributors
 #
@@ -10,6 +9,10 @@
 # This source code is licensed under the GNU General Public License version 2
 # (GPLv2) WITHOUT ANY WARRANTY.
 #
+
+#
+# Measures CPUs idling and writes #health-cpu status into the CIB
+#
 ################################
 #
 #	TODO: Enter default values
diff --git a/extra/resources/HealthIOWait b/extra/resources/HealthIOWait
index e8630cbbc..6fadec2bc 100755
--- a/extra/resources/HealthIOWait
+++ b/extra/resources/HealthIOWait
@@ -1,7 +1,6 @@
 #!/bin/sh
 #
-# IOWait RA
-# Measures CPU iowait % via top and writes #health-iowait status into the CIB
+# ocf:pacemaker:HealthIOWait resource agent
 #
 # Copyright 2004-2018 the Pacemaker project contributors
 #
@@ -10,6 +9,10 @@
 # This source code is licensed under the GNU General Public License version 2
 # (GPLv2) WITHOUT ANY WARRANTY.
 #
+
+#
+# Measures CPU iowait % via top and writes #health-iowait status into the CIB
+#
 #######################################################################
 # Initialization:
 
diff --git a/extra/resources/HealthSMART.in b/extra/resources/HealthSMART.in
index f0c9b4886..344cb1418 100755
--- a/extra/resources/HealthSMART.in
+++ b/extra/resources/HealthSMART.in
@@ -1,31 +1,18 @@
 #!@BASH_PATH@
 #
-#
-# HealthSMART OCF RA. Checks the S.M.A.R.T. status of all given
-# drives and writes the #health-smart status into the CIB
+# ocf:pacemaker:HealthSMART resource agent
 #
 # Copyright 2009-2018 the Pacemaker project contributors
 #
 # The version control history for this file may have further details.
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of version 2 of the GNU General Public License as
-# published by the Free Software Foundation.
-#
-# This program is distributed in the hope that it would be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+# This source code is licensed under the GNU General Public License version 2
+# (GPLv2) WITHOUT ANY WARRANTY.
 #
-# Further, this software is distributed without any warranty that it is
-# free of the rightful claim of any third person regarding infringement
-# or the like.  Any license provided herein, whether implied or
-# otherwise, applies only to this software file.  Patent licenses, if
-# any, provided herein do not apply to combinations of this program with
-# other software, or any other product whatsoever.
+
 #
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write the Free Software Foundation,
-# Inc., 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
+# Checks the S.M.A.R.T. status of all given drives and writes the #health-smart
+# status into the CIB
 #
 #######################################################################
 
diff --git a/extra/resources/Stateful b/extra/resources/Stateful
index e6e5f2475..2450a801f 100755
--- a/extra/resources/Stateful
+++ b/extra/resources/Stateful
@@ -1,6 +1,7 @@
 #!/bin/sh
 #
-# Example of a stateful OCF Resource Agent
+# ocf:pacemaker:Stateful resource agent
+#
 # Copyright 2006-2018 the Pacemaker project contributors
 #
 # The version control history for this file may have further details.
@@ -9,6 +10,10 @@
 # or later (GPLv2+) WITHOUT ANY WARRANTY.
 #
 
+#
+# Example of a stateful OCF Resource Agent
+#
+
 #######################################################################
 # Initialization:
 
diff --git a/extra/resources/SysInfo.in b/extra/resources/SysInfo.in
index 34eb84858..40400719c 100755
--- a/extra/resources/SysInfo.in
+++ b/extra/resources/SysInfo.in
@@ -1,30 +1,18 @@
 #!@BASH_PATH@
 #
+# ocf:pacemaker:SysInfo resource agent
 #
-#	SysInfo OCF Resource Agent
-#	It records (in the CIB) various attributes of a node
+# Original copyright 2004 SUSE LINUX AG, Lars Marowsky-Br<E9>e
+# Later changes copyright 2008-2018 the Pacemaker project contributors
 #
-# Copyright 2004-2018 SUSE LINUX AG, Lars Marowsky-Brée
-#                    All Rights Reserved.
+# The version control history for this file may have further details.
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of version 2 of the GNU General Public License as
-# published by the Free Software Foundation.
+# This source code is licensed under the GNU General Public License version 2
+# (GPLv2) WITHOUT ANY WARRANTY.
 #
-# This program is distributed in the hope that it would be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-#
-# Further, this software is distributed without any warranty that it is
-# free of the rightful claim of any third person regarding infringement
-# or the like.  Any license provided herein, whether implied or
-# otherwise, applies only to this software file.  Patent licenses, if
-# any, provided herein do not apply to combinations of this program with
-# other software, or any other product whatsoever.
+
 #
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write the Free Software Foundation,
-# Inc., 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
+#	This agent records (in the CIB) various attributes of a node
 #
 #######################################################################
 # Initialization:
diff --git a/extra/resources/SystemHealth b/extra/resources/SystemHealth
index a7785c226..499f95936 100755
--- a/extra/resources/SystemHealth
+++ b/extra/resources/SystemHealth
@@ -1,29 +1,13 @@
 #!/bin/sh
 #
-#	SystemHealth OCF RA.
+# ocf:pacemaker:SystemHealth resource agent
 #
 # Copyright 2009-2018 the Pacemaker project contributors
 #
 # The version control history for this file may have further details.
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of version 2 of the GNU General Public License as
-# published by the Free Software Foundation.
-#
-# This program is distributed in the hope that it would be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-#
-# Further, this software is distributed without any warranty that it is
-# free of the rightful claim of any third person regarding infringement
-# or the like.  Any license provided herein, whether implied or
-# otherwise, applies only to this software file.  Patent licenses, if
-# any, provided herein do not apply to combinations of this program with
-# other software, or any other product whatsoever.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write the Free Software Foundation,
-# Inc., 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
+# This source code is licensed under the GNU General Public License version 2
+# (GPLv2) WITHOUT ANY WARRANTY.
 #
 
 #######################################################################
diff --git a/extra/resources/attribute b/extra/resources/attribute
index d8b392cd0..57b690f1c 100755
--- a/extra/resources/attribute
+++ b/extra/resources/attribute
@@ -6,8 +6,8 @@
 #
 # The version control history for this file may have further details.
 #
-# This source code is licensed under GNU General Public License version 2 or
-# later (GPLv2+) WITHOUT ANY WARRANTY.
+# This source code is licensed under the GNU General Public License version 2
+# or later (GPLv2+) WITHOUT ANY WARRANTY.
 #
 
 USAGE="Usage: $0 {start|stop|monitor|migrate_to|migrate_from|validate-all|meta-data}
diff --git a/extra/resources/controld b/extra/resources/controld
index 2bf464fd7..977d2664f 100755
--- a/extra/resources/controld
+++ b/extra/resources/controld
@@ -1,30 +1,16 @@
 #!/bin/sh
 #
-# OCF resource agent for managing the DLM controld process
+# ocf:pacemaker:controld resource agent
 #
 # Copyright 2008-2018 the Pacemaker project contributors
 #
 # The version control history for this file may have further details.
-#                    All Rights Reserved.
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of version 2 of the GNU General Public License as
-# published by the Free Software Foundation.
-#
-# This program is distributed in the hope that it would be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-#
-# Further, this software is distributed without any warranty that it is
-# free of the rightful claim of any third person regarding infringement
-# or the like.  Any license provided herein, whether implied or
-# otherwise, applies only to this software file.  Patent licenses, if
-# any, provided herein do not apply to combinations of this program with
-# other software, or any other product whatsoever.
+# This source code is licensed under the GNU General Public License version 2
+# (GPLv2) WITHOUT ANY WARRANTY.
+
 #
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write the Free Software Foundation,
-# Inc., 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
+# Manages the DLM controld process
 #
 
 #######################################################################
diff --git a/extra/resources/ifspeed.in b/extra/resources/ifspeed.in
index 676578e97..860d9d298 100755
--- a/extra/resources/ifspeed.in
+++ b/extra/resources/ifspeed.in
@@ -1,12 +1,20 @@
 #!@BASH_PATH@
 #
-# OCF resource agent which monitors state of network interface and records it
-# as a node attribute in the CIB based on the sum of speeds of its active (up,
-# link detected, not blocked) underlying interfaces.
+# ocf:pacemaker:ifspeed resource agent
 #
 # Copyright 2011-2018 the Pacemaker project contributors
 #
 # The version control history for this file may have further details.
+#
+# This source code is licensed under the GNU General Public License version 2
+# or later (GPLv2+) WITHOUT ANY WARRANTY.
+#
+
+#
+# OCF resource agent which monitors state of network interface and records it
+# as a node attribute in the CIB based on the sum of speeds of its active (up,
+# link detected, not blocked) underlying interfaces.
+#
 # Partially based on 'ping' RA by Andrew Beekhof
 #
 # Change on 2017 by Tomer Azran <tomerazran@gmail.com>:
diff --git a/extra/resources/o2cb.in b/extra/resources/o2cb.in
index e938c9c13..b71cc6f1a 100755
--- a/extra/resources/o2cb.in
+++ b/extra/resources/o2cb.in
@@ -1,25 +1,16 @@
 #!@BASH_PATH@
 #
+# ocf:pacemaker:o2cb resource agent
+#
 # Original copyright 2005-2008 Oracle
 # Later changes copyright 2008-2018 the Pacemaker project contributors
 #
 # The version control history for this file may have further details.
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of version 2 of the GNU General Public License as
-# published by the Free Software Foundation.
-#
-# This program is distributed in the hope that it would be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-#
-# Further, this software is distributed without any warranty that it is
-# free of the rightful claim of any third person regarding infringement
-# or the like.  Any license provided herein, whether implied or
-# otherwise, applies only to this software file.  Patent licenses, if
-# any, provided herein do not apply to combinations of this program with
-# other software, or any other product whatsoever.
+# This source code is licensed under the GNU General Public License version 2
+# (GPLv2) WITHOUT ANY WARRANTY.
 #
+
 #######################################################################
 
 : ${OCF_FUNCTIONS=${OCF_ROOT}/resource.d/heartbeat/.ocf-shellfuncs}
diff --git a/extra/resources/ping b/extra/resources/ping
index 1210540e6..81c76868c 100755
--- a/extra/resources/ping
+++ b/extra/resources/ping
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# Ping OCF RA that utilizes the system ping 
+# ocf:pacemaker:ping resource agent
 #
 # Copyright 2009-2018 the Pacemaker project contributors
 #
@@ -9,6 +9,7 @@
 # This source code is licensed under the GNU General Public License version 2
 # or later (GPLv2+) WITHOUT ANY WARRANTY.
 #
+
 #######################################################################
 # Initialization:
 
diff --git a/extra/resources/pingd b/extra/resources/pingd
index 58e3d0888..7649bd360 100755
--- a/extra/resources/pingd
+++ b/extra/resources/pingd
@@ -1,33 +1,18 @@
 #!/bin/sh
 #
-#
-#	pingd OCF Resource Agent
-#	Records (in the CIB) the current number of ping nodes a 
-#	   cluster node can connect to.
+# ocf:pacemaker:pingd resource agent
 #
 # Copyright 2006-2018 the Pacemaker project contributors
 #
 # The version control history for this file may have further details.
-#                    All Rights Reserved.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of version 2 of the GNU General Public License as
-# published by the Free Software Foundation.
 #
-# This program is distributed in the hope that it would be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+# This source code is licensed under the GNU General Public License version 2
+# (GPLv2) WITHOUT ANY WARRANTY.
 #
-# Further, this software is distributed without any warranty that it is
-# free of the rightful claim of any third person regarding infringement
-# or the like.  Any license provided herein, whether implied or
-# otherwise, applies only to this software file.  Patent licenses, if
-# any, provided herein do not apply to combinations of this program with
-# other software, or any other product whatsoever.
+
 #
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write the Free Software Foundation,
-# Inc., 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
+#	Records (in the CIB) the current number of ping nodes a 
+#	   cluster node can connect to.
 #
 #######################################################################
 # Initialization:
diff --git a/extra/resources/remote b/extra/resources/remote
index 2828b0aad..aa85b9ab5 100755
--- a/extra/resources/remote
+++ b/extra/resources/remote
@@ -1,12 +1,6 @@
 #!/bin/sh
 #
-# ocf:pacmaker:remote OCF resource agent
-#
-# This script provides metadata for Pacemaker's internal remote agent.
-# Outside of acting as a placeholder so the agent can be indexed, and
-# providing metadata, this script should never be invoked. The actual
-# functionality behind the remote connection lives within Pacemaker's
-# controller daemon.
+# ocf:pacemaker:remote OCF resource agent
 #
 # Copyright 2013-2018 the Pacemaker project contributors
 #
@@ -16,6 +10,12 @@
 # (GPLv2) WITHOUT ANY WARRANTY.
 #
 
+# This script provides metadata for Pacemaker's internal remote agent.
+# Outside of acting as a placeholder so the agent can be indexed, and
+# providing metadata, this script should never be invoked. The actual
+# functionality behind the remote connection lives within Pacemaker's
+# controller daemon.
+#
 #######################################################################
 # Initialization:
 
-- 
2.26.2